# 앱러빈

### 1 : Custom Event 클래스 추가

* [AdPieMediationAdapter.java](https://github.com/gomfactory/AdPie-Android-SDK/blob/master/AdPieSample/app/src/main/java/com/applovin/mediation/adapters/AdPieMediationAdapter.java) : 앱러빈 미디에이션을 위한 CustomEvent 클래스
* 위의 클래스는 `com.applovin.mediation.adapters` 패키지에 위치하고 있으며, 개발중인 앱 프로젝트에 복사를 진행합니다.

### 2 : 미디에이션 등록(Custom Event)

* 아래의 절차대로 진행을 해야 하며, 자세한 사항은 [Custom SDK Network Integration Guide](https://dash.applovin.com/documentation/mediation/android/mediation-setup/custom-sdk) 를 확인합니다.
* 1\) [앱러빈](https://www.applovin.com) 사이트 통해 로그인을 합니다.
* 2\) 사이드바에서 [MAX > Mediation > Manage > Networks](https://dash.applovin.com/o/mediation/networks/) 를 선택합니다.
* 3\) 페이지 하단에 있는 **Click here to add a Custom Network**를 클릭합니다.
* 4\) Network Type은 **SDK**를 선택하고 Custom Network 이름을 입력합니다.
* 5\) Android / Fire OS Adapter Class Name에 `com.applovin.mediation.adapters.AdPieMediationAdapter` 와 같이 패키지명을 포함하여 클래스명을 입력합니다.

![Custom Network1](https://github.com/gomfactory/AdPie-Android-SDK/wiki/image/android_sdk_applovin_customevent1.png)

* 6\) 저장 (Save)를 클릭합니다.
* 7\) [MAX > Mediation > Manage > Ad Units](https://dash.applovin.com/o/mediation/ad_units/) 에서 AdPie를 추가할 Ad Unit을 선택합니다.
* **8) App ID (optional)** 에 AdPie에서 발급받은 `Media ID` 를 **Placement ID** 에 `Slot ID`를 입력합니다.

![Custom Network2](https://github.com/gomfactory/AdPie-Android-SDK/wiki/image/android_sdk_applovin_customevent2.png)

* 9\) 저장 (Save)를 클릭합니다.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://platform-business.gitbook.io/adpie/android/mediation/applovin.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
